svn commit: samba r19471 - in branches/SAMBA_4_0/source/script/tests: . win

brad at samba.org brad at samba.org
Tue Oct 24 01:18:09 GMT 2006


Author: brad
Date: 2006-10-24 01:18:07 +0000 (Tue, 24 Oct 2006)
New Revision: 19471

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=19471

Log:
Move BASE and RAW tests to their own scripts. Run the same set of tests as 'make test' does, at least for those that pass.
Comment the tests that don't pass.


Added:
   branches/SAMBA_4_0/source/script/tests/win/wintest_base.sh
   branches/SAMBA_4_0/source/script/tests/win/wintest_raw.sh
Modified:
   branches/SAMBA_4_0/source/script/tests/test_win.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_win.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_win.sh	2006-10-24 01:04:20 UTC (rev 19470)
+++ branches/SAMBA_4_0/source/script/tests/test_win.sh	2006-10-24 01:18:07 UTC (rev 19471)
@@ -24,45 +24,14 @@
 	exit 1
 fi
 
-share_tests="BASE-UNLINK BASE-ATTR BASE-DELETE BASE-TCON BASE-OPEN BASE-CHKPATH"
-share_tests="$share_tests RAW-QFILEINFO RAW-SFILEINFO RAW-MKDIR RAW-SEEK"
-share_tests="$share_tests RAW-OPEN RAW-WRITE RAW-UNLINK RAW-READ RAW-CLOSE"
-share_tests="$share_tests RAW-IOCTL RAW-RENAME RAW-EAS RAW-STREAMS"
+$WINTEST_DIR/wintest_base.sh $SMBTORTURE_REMOTE_HOST $SMBTORTURE_USERNAME \
+	$SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
+	|| all_errs=`expr $all_errs + $?`
 
-for t in $share_tests; do
-	test_name="$t / WINDOWS SERVER"
-	echo -e "\n$test_name SETUP PHASE"
+$WINTEST_DIR/wintest_raw.sh $SMBTORTURE_REMOTE_HOST $SMBTORTURE_USERNAME \
+	$SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
+	|| all_errs=`expr $all_errs + $?`
 
-	setup_share_test
-
-	if [ $err_rtn -ne 0 ]; then
-		# If test setup fails, load VM snapshot and skip test.
-		restore_snapshot "\n$test_name setup failed, skipping test."
-	else
-		echo -e "\n$test_name setup completed successfully."
-		old_errs=$all_errs
-
-		testit "$test_name" $SMBTORTURE_BIN_PATH \
-			-U $SMBTORTURE_USERNAME%$SMBTORTURE_PASSWORD \
-			-d 10 -W $SMBTORTURE_WORKGROUP \
-			//$SMBTORTURE_REMOTE_HOST/$SMBTORTURE_REMOTE_SHARE_NAME \
-			$t || all_errs=`expr $all_errs + 1`
-		if [ $old_errs -lt $all_errs ]; then
-			# If test fails, load VM snapshot and skip cleanup.
-			restore_snapshot "\n$test_name failed."
-		else
-			echo -e "\n$test_name CLEANUP PHASE"
-			remove_share_test
-			if [ $err_rtn -ne 0 ]; then
-				# If cleanup fails, restore VM snapshot.
-				restore_snapshot "\n$test_name removal failed."
-			else
-				echo -e "\n$test_name removal completed successfully."
-			fi
-		fi
-	fi
-done
-
 rpc_tests="RPC-WINREG RPC-ASYNCBIND RPC-ATSVC RPC-DSSETUP RPC-EPMAPPER"
 rpc_tests="$rpc_tests RPC-INITSHUTDOWN RPC-LSA-GETUSER RPC-MULTIBIND RPC-ROT"
 rpc_tests="$rpc_tests RPC-SECRETS RPC-SRVSVC RPC-SVCCTL RPC-WKSSVC"

Added: branches/SAMBA_4_0/source/script/tests/win/wintest_base.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/win/wintest_base.sh	2006-10-24 01:04:20 UTC (rev 19470)
+++ branches/SAMBA_4_0/source/script/tests/win/wintest_base.sh	2006-10-24 01:18:07 UTC (rev 19471)
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+. script/tests/test_functions.sh
+
+. script/tests/win/wintest_functions.sh
+
+# This variable is defined in the per-hosts .fns file.
+. $WINTESTCONF
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_net.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+base_tests="BASE-UNLINK BASE-ATTR BASE-DELETE BASE-TCON BASE-OPEN BASE-CHKPATH"
+
+all_errs=0
+
+for t in $base_tests; do
+	test_name="$t / WINDOWS SERVER"
+	echo -e "\n$test_name SETUP PHASE"
+
+	setup_share_test
+
+	if [ $err_rtn -ne 0 ]; then
+		# If test setup fails, load VM snapshot and skip test.
+		restore_snapshot "\n$test_name setup failed, skipping test."
+	else
+		echo -e "\n$test_name setup completed successfully."
+		old_errs=$all_errs
+
+		testit "$test_name" $SMBTORTURE_BIN_PATH \
+			-U $username%$password \
+			-W $domain //$server/$SMBTORTURE_REMOTE_SHARE_NAME \
+			$t || all_errs=`expr $all_errs + 1`
+		if [ $old_errs -lt $all_errs ]; then
+			restore_snapshot "\n$test_name failed."
+		else
+			echo -e "\n$test_name CLEANUP PHASE"
+			remove_share_test
+			if [ $err_rtn -ne 0 ]; then
+				# If cleanup fails, restore VM snapshot.
+				restore_snapshot "\n$test_name removal failed."
+			else
+				echo -e "\n$test_name removal completed successfully."
+			fi
+		fi
+	fi
+done
+
+testok $0 $all_errs


Property changes on: branches/SAMBA_4_0/source/script/tests/win/wintest_base.sh
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/SAMBA_4_0/source/script/tests/win/wintest_raw.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/win/wintest_raw.sh	2006-10-24 01:04:20 UTC (rev 19470)
+++ branches/SAMBA_4_0/source/script/tests/win/wintest_raw.sh	2006-10-24 01:18:07 UTC (rev 19471)
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+. script/tests/test_functions.sh
+
+. script/tests/win/wintest_functions.sh
+
+# This variable is defined in the per-hosts .fns file.
+. $WINTESTCONF
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_net.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+raw_tests="RAW-QFILEINFO RAW-SFILEINFO RAW-MKDIR RAW-SEEK RAW-OPEN RAW-WRITE RAW-UNLINK RAW-READ RAW-CLOSE RAW-IOCTL RAW-RENAME RAW-EAS RAW-STREAMS"
+# This test fails: RAW-QFSINFO
+
+all_errs=0
+
+for t in $raw_tests; do
+	test_name="$t / WINDOWS SERVER"
+	echo -e "\n$test_name SETUP PHASE"
+
+	setup_share_test
+
+	if [ $err_rtn -ne 0 ]; then
+		# If test setup fails, load VM snapshot and skip test.
+		restore_snapshot "\n$test_name setup failed, skipping test."
+	else
+		echo -e "\n$test_name setup completed successfully."
+		old_errs=$all_errs
+
+		testit "$test_name" $SMBTORTURE_BIN_PATH \
+			-U $username%$password \
+			-W $domain //$server/$SMBTORTURE_REMOTE_SHARE_NAME \
+			$t || all_errs=`expr $all_errs + 1`
+		if [ $old_errs -lt $all_errs ]; then
+			restore_snapshot "\n$test_name failed."
+		else
+			echo -e "\n$test_name CLEANUP PHASE"
+			remove_share_test
+			if [ $err_rtn -ne 0 ]; then
+				# If cleanup fails, restore VM snapshot.
+				restore_snapshot "\n$test_name removal failed."
+			else
+				echo -e "\n$test_name removal completed successfully."
+			fi
+		fi
+	fi
+done
+
+testok $0 $all_errs


Property changes on: branches/SAMBA_4_0/source/script/tests/win/wintest_raw.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list